/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */package org.apache.camel.kafkaconnector.jiraaddcommentsink;

import java.util.Map;
import javax.annotation.Generated;
import org.apache.camel.kafkaconnector.CamelSinkConnectorConfig;
import org.apache.kafka.common.config.ConfigDef;

@Generated("This class has been generated by camel-kafka-connector-generator-maven-plugin, remove this annotation to prevent it from being generated.")
public class CamelJiraaddcommentsinkSinkConnectorConfig
        extends
            CamelSinkConnectorConfig {

    public static final String CAMEL_SINK_JIRAADDCOMMENTSINK_KAMELET_JIRA_URL_CONF = "camel.kamelet.jira-add-comment-sink.jiraUrl";
    public static final String CAMEL_SINK_JIRAADDCOMMENTSINK_KAMELET_JIRA_URL_DOC = "The URL of your instance of Jira Example: http://my_jira.com:8081";
    public static final String CAMEL_SINK_JIRAADDCOMMENTSINK_KAMELET_JIRA_URL_DEFAULT = null;
    public static final String CAMEL_SINK_JIRAADDCOMMENTSINK_KAMELET_USERNAME_CONF = "camel.kamelet.jira-add-comment-sink.username";
    public static final String CAMEL_SINK_JIRAADDCOMMENTSINK_KAMELET_USERNAME_DOC = "The username to access Jira";
    public static final String CAMEL_SINK_JIRAADDCOMMENTSINK_KAMELET_USERNAME_DEFAULT = null;
    public static final String CAMEL_SINK_JIRAADDCOMMENTSINK_KAMELET_PASSWORD_CONF = "camel.kamelet.jira-add-comment-sink.password";
    public static final String CAMEL_SINK_JIRAADDCOMMENTSINK_KAMELET_PASSWORD_DOC = "The password or the API Token to access Jira";
    public static final String CAMEL_SINK_JIRAADDCOMMENTSINK_KAMELET_PASSWORD_DEFAULT = null;

    public CamelJiraaddcommentsinkSinkConnectorConfig(
            ConfigDef config,
            Map<String, String> parsedConfig) {
        super(config, parsedConfig);
    }

    public CamelJiraaddcommentsinkSinkConnectorConfig(
            Map<String, String> parsedConfig) {
        this(conf(), parsedConfig);
    }

    public static ConfigDef conf() {
        ConfigDef conf = new ConfigDef(CamelSinkConnectorConfig.conf());
        conf.define(CAMEL_SINK_JIRAADDCOMMENTSINK_KAMELET_JIRA_URL_CONF, ConfigDef.Type.STRING, CAMEL_SINK_JIRAADDCOMMENTSINK_KAMELET_JIRA_URL_DEFAULT, ConfigDef.Importance.HIGH, CAMEL_SINK_JIRAADDCOMMENTSINK_KAMELET_JIRA_URL_DOC);
        conf.define(CAMEL_SINK_JIRAADDCOMMENTSINK_KAMELET_USERNAME_CONF, ConfigDef.Type.STRING, CAMEL_SINK_JIRAADDCOMMENTSINK_KAMELET_USERNAME_DEFAULT, ConfigDef.Importance.HIGH, CAMEL_SINK_JIRAADDCOMMENTSINK_KAMELET_USERNAME_DOC);
        conf.define(CAMEL_SINK_JIRAADDCOMMENTSINK_KAMELET_PASSWORD_CONF, ConfigDef.Type.PASSWORD, CAMEL_SINK_JIRAADDCOMMENTSINK_KAMELET_PASSWORD_DEFAULT, ConfigDef.Importance.HIGH, CAMEL_SINK_JIRAADDCOMMENTSINK_KAMELET_PASSWORD_DOC);
        return conf;
    }
}